%define testname desktop-exec-fill-code
Name: repocop-unittest-freedesktop-%testname
Version: 0.02
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: desktop packaging test
Group: Development/Other
License: GPL or Artistic
#Url: 
Requires: repocop

#Source: %name-%version.tar

%description
intergration test for repocop test platform.
Includes the following tests:
* desktop-exec-fill-code
 verifies packaging of .desktop files with MimeType entry
 and Exec (%%f|%%F|%%U|%%u) specifier.
 according to 
 http://www.freedesktop.org/Standards/desktop-entry-spec
 and draft of
 Sergey N. Yatskevich
 http://lists.altlinux.org/pipermail/devel/2008-March/071791.html

%prep
#%setup -q

%build
cat > %testname.test <<'EOF'
#!/bin/sh
files_exist()
{
    [ -e "$1" ]
}
STATUS=skip
MESSAGE=
for f in $REPOCOP_PKG_ROOT%_desktopdir/*.desktop $REPOCOP_PKG_ROOT%_desktopdir/*/*.desktop; do
    if [ -e "$f" ] && grep -i '^MimeType=' "$f" >/dev/null; then
        if grep Exec $f | egrep '%%(f|u|F|U)' >/dev/null; then
            [ "$STATUS" = "skip" ] && STATUS=ok
        else
            STATUS=warn
            MESSAGE="$i: found MimeType= entry, but to handle it properly you have to declare one of %%f,%%F,%%u,%%U in Exec= entry. See http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-1.0.html#exec-variables"
        fi
    fi
done
exec repocop-test-$STATUS $MESSAGE
EOF

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/%testname/
%__install -m 755 %testname.test $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/%testname/test

%files
%_datadir/repocop/pkgtests/%testname/test

%changelog
* Wed Apr 02 2008 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- bugfix

* Tue Apr 01 2008 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- First build for Sisyphus.
